-- =============================================  
-- Author:  Caruso Fabrizio  
-- Create date: 17/09/2014  
-- Description:   
-- Controllo corretta generazione del campo Descrizione Prodotto ( DescProd ) sulla tabella  
-- C6MartPeriodico.PROVENTI  
-- Impostazione Codice TIPO CONTROLLO per il controllo specifico   
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )  
-- =============================================  
CREATE procedure [C6MartPeriodico].[SP_DQ_DescProdottoProventi]  
@idFaseElaborazione int  
AS  
BEGIN  
Declare @idTipoControllo int  
set @idTipoControllo=2     
SELECT a.RETE, a.COD_FISCALE,@idTipoControllo idtipocontrollo  
into #TbErrori  
FROM [C6MartPeriodico].[PROVENTI] a  
 INNER JOIN c6stagingperiodico.appo_contratti_v b  
 on a.rete=b.rete and a.cod_fiscale=b.cod_fiscale and b.tip_contratto=2   
WHERE ISNULL(a.DesProd,'') =''   
group by a.RETE, a.COD_FISCALE  
declare @idElab  int  
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni  
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality  
(   
idTipoControllo,  
rete,  
codiceFiscale,  
descSegnalazione,  
idElaborazione,  
richiesta,  
idFaseElaborazione)  
select tbErr.idTipoControllo,rete,COD_FISCALE,DescSegnalazione,@idelab,'',@idFaseElaborazione  
from #TbErrori tbErr  
inner join c6martperiodico.tb_tipocontrollo Tipo  
on tbErr.idtipocontrollo = tipo.idTipoControllo  
end